package kr.co.hanwha.hifive.screen.main.setting.contract;

import android.support.annotation.NonNull;

import kr.co.hanwha.hifive.base.BasePresenter;
import kr.co.hanwha.hifive.base.BaseView;

public interface HelpdeskContract {
    interface View extends BaseView<Presenter> {
        void initView();

        void initCallback();
    }

    interface Presenter extends BasePresenter {
        /**
         * Initialize Data
         */
        void initData();

        /**
         * TASK 신규 등록
         *
         * @param task_name TASK 내용
         */
        void requestSendTask(@NonNull String task_name);
    }
}
